#ifndef SimG4Core_PhysicsLists_CMSFTFPNeutronBuilder_h
#define SimG4Core_PhysicsLists_CMSFTFPNeutronBuilder_h 1

#include "globals.hh"

#include "G4HadronElasticProcess.hh"
#include "G4HadronFissionProcess.hh"
#include "G4HadronCaptureProcess.hh"
#include "G4NeutronInelasticProcess.hh"
#include "G4VNeutronBuilder.hh"

#include "G4TheoFSGenerator.hh"
#include "G4ExcitationHandler.hh"
#include "G4PreCompoundModel.hh"
#include "G4GeneratorPrecompoundInterface.hh"
#include "G4FTFModel.hh"
#include "G4LundStringFragmentation.hh"
#include "G4ExcitedStringDecay.hh"
#include "G4QuasiElasticChannel.hh"

class CMSFTFPNeutronBuilder : public G4VNeutronBuilder
{
  public: 
    CMSFTFPNeutronBuilder(G4bool quasiElastic=false);
    ~CMSFTFPNeutronBuilder() override;

  public: 
    void Build(G4HadronElasticProcess * aP) override;
    void Build(G4HadronFissionProcess * aP) override;
    void Build(G4HadronCaptureProcess * aP) override;
    void Build(G4NeutronInelasticProcess * aP) override;
    
    void SetMinEnergy(G4double aM) override {theMin = aM;}
    void SetMaxEnergy(G4double aM) override {theMax = aM;}

  private:
    G4TheoFSGenerator * theModel;
    G4PreCompoundModel * thePreEquilib;
    G4GeneratorPrecompoundInterface * theCascade;
    G4FTFModel * theStringModel;
    G4ExcitedStringDecay * theStringDecay;
    G4QuasiElasticChannel * theQuasiElastic;

    G4double theMin;
    G4double theMax;
};

// 2002 by J.P. Wellisch

#endif

